local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)


aom_igm = {}

-- menu system
dofile(mod_path .. "/menu.lua")

-- main menu formspec
dofile(mod_path .. "/main.lua")

-- add the inbuilt menu for settings
if minetest.get_modpath("aom_settings") then
    -- add settings
    aom_settings.register_setting("sound_menu_volume", 1, "Menu volume")
    aom_settings.register_setting("menu_technical_names", false, "Use technical names of settings")
    -- interface / UI for settings
    dofile(mod_path .. "/aom_settings_interface.lua")
end
-- add support to hook into the inventory screen
if minetest.get_modpath("pmb_inventory") then
    dofile(mod_path .. "/pmb_inventory_interface.lua")
end
